register-stardata(8)

NAME

register-stardata - Install or remove star data catalogues and astronomy programs

SYNTAX

register-stardata [option] {install|remove}    {all|stardata} {all|program}

DESCRIPTION

register-stardata is a program to convert star data catalogues, that conform to the stardata-common policy, to astronomy programs' data formats automatically on package install and removal.
stardata-common is a common framework to manage the insertion and removal of star data catalogues in a Debian system. This program liberates the user from managing the installation and conversion of star data catalogues to the astronomy programs' data formats, converting them automatically during the installation and removing them at uninstall.

OPTIONS

-q --quiet
    Don't output any messages.

--usage
    Output detailed syntax.

--help
    Output help information and exit.

--version
    Output version information and exit.

FILES

/usr/share/doc/stardata-common/policy

EXAMPLES

To make the yale stardata catalogue available in formats understood by all astronomy programs available in the system:

register-stardata install yale all

To remove the starplot format versions of all catalogues installed:

register-stardata remove all starplot

AUTHORS

Francisco Garcia Claramonte <franciscomanuel.garcia@hispalinux.es>